@import "@/styles/variables";

.select {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;

    &-field {
        display: grid;
        grid-template-areas: "select";

        > * {
            grid-area: select;
        }
    }

    &-icon {
        width: 1.5rem;
        aspect-ratio: 1;
        display: flex;
        align-items: center;
        justify-content: center;

        &-start {
            transform: translateX(70%) translateY(70%);
        }

        &-end {
            transform: translateX(-50%) translateY(70%);
            justify-self: end;
            z-index: -1;
        }
    }

    &-input {
        @include input-1;

        padding: 1.5rem 1.25rem 0.75rem 3.5rem;
        width: 100% !important;
        height: 58px;
        color: $gray-600;
        background-color: transparent;
        border: 1px solid $gray-200;
        border-radius: 12px;
        text-align: start;
        appearance: none;

        &:hover {
            color: $gray-800;
            border: 1px solid $gray-300;
        }

        &:focus {
            color: $gray-800;
            outline: 1px solid $gray-400;
        }

        &-placeholder {
            color: $gray-400;
        }

        &__label-hidden {
            padding: 0.75rem 1.25rem 0.75rem 3.5rem;
        }

        &__icon-start {
            padding-left: 3.5rem;
        }

        &__error {
            border: 1px solid $color-error;
        }

        &-option {
            color: $gray-600;
            padding: 1rem 1.5rem;
        }
    }

    &-label {
        @include label-1;

        transform: translateX(3.6rem) translateY(70%);
        color: $gray-600;
        width: fit-content;
        height: fit-content;
        background-color: $white;
        padding-bottom: 0.1rem;

        &__hidden {
            padding: 1.25rem 2rem 0.35rem 1rem;
            opacity: 0;
        }

        &__icon-start {
            left: 3.6rem;
        }
    }
}

.error {
    @include error-message;

    padding-left: 1rem;
}
